import { AnyT } from '../../definitions.interface';
/**
 * @stable [21.05.2018]
 */
export declare class CommandParam {
    private paramName;
    private paramValue;
    /**
     * @stable [21.05.2018]
     * @param {string} paramName
     * @param {AnyT} paramValue
     */
    constructor(paramName: string, paramValue: AnyT);
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    getParamName(): string;
    /**
     * @stable [21.05.2018]
     * @returns {AnyT}
     */
    getParamValue(): AnyT;
}
