"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../../util");
var base_dialog_component_1 = require("../base-dialog.component");
var UnsavedFormChangesDialog = /** @class */ (function (_super) {
    __extends(UnsavedFormChangesDialog, _super);
    function UnsavedFormChangesDialog() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.01.2020]
     * @param {IActivateDialogConfigEntity} payload
     */
    UnsavedFormChangesDialog.prototype.activate = function (payload) {
        if (util_1.isDirty(this.props.form)) {
            _super.prototype.activate.call(this, payload);
        }
        else {
            this.onAcceptClick();
        }
    };
    Object.defineProperty(UnsavedFormChangesDialog.prototype, "acceptText", {
        /**
         * @stable [30.01.2020]
         * @returns {string}
         */
        get: function () {
            return this.props.acceptText || this.settings.messages.DIALOG_DISCARD;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(UnsavedFormChangesDialog.prototype, "title", {
        /**
         * @stable [30.01.2020]
         * @returns {string | boolean}
         */
        get: function () {
            var title = this.props.title;
            return title === false
                ? title
                : (title || this.settings.messages.CHANGES_YOU_MADE_WILL_NOT_BE_SAVED);
        },
        enumerable: true,
        configurable: true
    });
    UnsavedFormChangesDialog.defaultProps = {
        confirm: true,
    };
    return UnsavedFormChangesDialog;
}(base_dialog_component_1.BaseDialog));
exports.UnsavedFormChangesDialog = UnsavedFormChangesDialog;
//# sourceMappingURL=unsaved-form-changes-dialog.component.js.map