/// <reference types="react" />
import { ITextArea, ITextAreaInternalProps, ITextAreaInternalState } from './textarea.interface';
import { BaseTextField } from '../text-field';
export declare class TextArea extends BaseTextField<ITextAreaInternalProps, ITextAreaInternalState> implements ITextArea {
    static defaultProps: ITextAreaInternalProps;
    protected getInputElement(): JSX.Element;
    /**
     * @inheritDoc
     */
    protected readonly inputAttachmentElement: JSX.Element;
    /**
     * @stable [22.11.2018]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
