/// <reference types="react" />
import { IPageToolbarProps } from './page-toolbar.interface';
import { UniversalPageToolbar } from './universal-page-toolbar.component';
export declare class PageToolbar extends UniversalPageToolbar<IPageToolbarProps> {
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [25.06.2018]
     * @returns {JSX.Element}
     */
    protected getContent(): JSX.Element;
    /**
     * @stable [25.06.2018]
     * @returns {JSX.Element}
     */
    protected getRightContent(): JSX.Element;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected getLeftContent(): JSX.Element;
    /**
     * @stable [25.06.2018]
     * @returns {JSX.Element}
     */
    protected getPagesElement(): JSX.Element;
    /**
     * @stable [16.05.2018]
     * @returns {JSX.Element}
     */
    protected getControls(): JSX.Element;
}
