import { ILifeCycleEntity } from './entity-definition.interface';
import { IApplicationWrapper, IAuthorizedWrapper, IPathWrapper, IReadyWrapper, IBasenameWrapper } from '../definitions.interface';
/**
 * @stable [24.09.2019]
 */
export interface IUniversalApplicationEntity extends ILifeCycleEntity, IAuthorizedWrapper, IReadyWrapper, IPathWrapper {
}
/**
 * @stable [30.11.2019]
 */
export interface IApplicationEntity extends IUniversalApplicationEntity, IBasenameWrapper {
}
/**
 * @stable [24.09.2019]
 */
export interface IUniversalApplicationWrapperEntity extends IApplicationWrapper<IUniversalApplicationEntity> {
}
/**
 * @stable [24.09.2019]
 */
export declare const INITIAL_UNIVERSAL_APPLICATION_ENTITY: Readonly<IUniversalApplicationEntity>;
/**
 * @stable [18.11.2019]
 */
export declare const APPLICATION_SECTION = "application";
export declare const $APPLICATION_SECTION: string;
export declare const $RAC_APPLICATION_PREPARE_ACTION_TYPE: string;
export declare const $RAC_APPLICATION_PREPARE_ERROR_ACTION_TYPE: string;
export declare const $RAC_APPLICATION_READY_ACTION_TYPE: string;
export declare const $RAC_APPLICATION_NOT_READY_ACTION_TYPE: string;
export declare const APPLICATION_CUSTOM_ERROR_ACTION_TYPE = "custom.error";
export declare const $RAC_APPLICATION_CUSTOM_ERROR_ACTION_TYPE: string;
