"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [24.09.2019]
 */
exports.INITIAL_UNIVERSAL_APPLICATION_ENTITY = Object.freeze({
    ready: false,
    authorized: false,
    progress: false,
    error: null,
    path: null,
});
/**
 * @stable [18.11.2019]
 */
exports.APPLICATION_SECTION = 'application';
exports.$APPLICATION_SECTION = "" + definitions_interface_1.ACTION_PREFIX + exports.APPLICATION_SECTION;
/**/
var APPLICATION_PREPARE_ACTION_TYPE = 'prepare';
exports.$RAC_APPLICATION_PREPARE_ACTION_TYPE = exports.$APPLICATION_SECTION + "." + APPLICATION_PREPARE_ACTION_TYPE;
exports.$RAC_APPLICATION_PREPARE_ERROR_ACTION_TYPE = redux_effects_promise_1.EffectsActionBuilder.buildErrorActionType(exports.$RAC_APPLICATION_PREPARE_ACTION_TYPE);
/**/
var APPLICATION_READY_ACTION_TYPE = 'ready';
exports.$RAC_APPLICATION_READY_ACTION_TYPE = exports.$APPLICATION_SECTION + "." + APPLICATION_READY_ACTION_TYPE;
/**/
var APPLICATION_NOT_READY_ACTION_TYPE = 'not.ready';
exports.$RAC_APPLICATION_NOT_READY_ACTION_TYPE = exports.$APPLICATION_SECTION + "." + APPLICATION_NOT_READY_ACTION_TYPE;
/**/
exports.APPLICATION_CUSTOM_ERROR_ACTION_TYPE = 'custom.error';
exports.$RAC_APPLICATION_CUSTOM_ERROR_ACTION_TYPE = exports.$APPLICATION_SECTION + "." + exports.APPLICATION_CUSTOM_ERROR_ACTION_TYPE;
//# sourceMappingURL=application-definition.interface.js.map