import { IAccessConfigurationWrapper, IActiveWrapper, IChildrenWrapper, IIconWrapper, ILabelWrapper, ILinkWrapper, IParentWrapper, IRelatedLinksWrapper, ITypeWrapper, IValueWrapper } from '../definitions.interface';
/**
 * @stable [11.09.2019]
 */
export declare enum NavigationItemTypesEnum {
    DIVIDER = 0,
    GROUP = 1,
    SUB_HEADER = 2
}
/**
 * @stable [11.09.2019]
 */
export interface INavigationItemEntity<TAccessConfiguration = {}> extends IAccessConfigurationWrapper<TAccessConfiguration>, IActiveWrapper, IChildrenWrapper<INavigationItemEntity[]>, IIconWrapper, ILabelWrapper, ILinkWrapper, IParentWrapper<INavigationItemEntity>, IRelatedLinksWrapper<string[]>, ITypeWrapper<NavigationItemTypesEnum>, IValueWrapper {
}
