import { IEffectsAction } from 'redux-effects-promise';
export declare const makeFailedEffectsProxy: (actionType: string, actionsResolver?: (action: IEffectsAction) => IEffectsAction[]) => () => void;
/**
 * @stable [03.04.2019]
 * @param {string} actionType
 * @returns {() => void}
 */
export declare const makeFailedFormEffectsProxy: (actionType: string) => () => void;
/**
 * @stable [23.12.2018]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedListLoadEffectsProxy: (section: string) => () => void;
/**
 * @stable [23.12.2018]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedListLazyLoadEffectsProxy: (section: string) => () => void;
/**
 * @stable [25.11.2019]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedConnectorInitEffectsProxy: (section: string) => () => void;
