import { IKeyValue } from '../definitions.interface';
/**
 * @stable [17.09.2019]
 * @param {IKeyValue} o
 * @param {number} space
 * @returns {string}
 */
export declare const formatJson: (o: IKeyValue, space?: number) => string;
/**
 * @stable [13.03.2020]
 * @param {string} o
 * @returns {TResult}
 */
export declare const parseJson: <TResult = IKeyValue>(o: string) => TResult;
/**
 * @stable [13.03.2020]
 * @param {TObject} o
 * @returns {string}
 */
export declare const serializeJson: <TObject = any>(o: TObject) => string;
