import { IEffectsAction } from 'redux-effects-promise';
export declare class AuthOpenIdCallbackEffects {
    private static readonly logger;
    private static readonly AUTHORIZATION_REQUEST_HANDLE_KEY;
    private readonly auth;
    private readonly environment;
    private readonly fieldConverter;
    private readonly notVersionedSessionStorage;
    private readonly settings;
    /**
     * @stable [13.03.2020]
     * @returns {Promise<IEffectsAction[]>}
     */
    $onConnectorInit(): Promise<IEffectsAction[]>;
    /**
     * @stable [13.03.2020]
     * @param {string} key
     * @returns {Promise<TResult>}
     */
    private getValueFromStorage;
    /**
     * See inside the "@openid/appauth" package
     *
     * @stable [13.03.2020]
     * @param {string} handle
     * @returns {string}
     */
    private readonly authorizationRequestKey;
    /**
     * See inside the "@openid/appauth" package
     *
     * @stable [13.03.2020]
     * @param {string} handle
     * @returns {string}
     */
    private readonly authorizationServiceConfigurationKey;
}
