"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../di");
var base_container_1 = require("./base.container");
var BasicContainer = /** @class */ (function (_super) {
    __extends(BasicContainer, _super);
    function BasicContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(BasicContainer.prototype, "dfccStoreProxy", {
        /**
         * @stable [27.11.2019]
         * @returns {IDialogFormChangesConfirmStoreProxy}
         */
        get: function () {
            return this.$dfccStoreProxy = this.$dfccStoreProxy || di_1.getDialogFormChangesConfirmStoreProxyFactory()(this);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BasicContainer.prototype, "formStoreProxy", {
        /**
         * @stable [30.11.2019]
         * @returns {IFormStoreProxy}
         */
        get: function () {
            return this.$formStoreProxy = this.$formStoreProxy || di_1.getFormStoreProxyFactory()(this);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BasicContainer.prototype, "routerStoreProxy", {
        /**
         * @stable [18.12.2019]
         * @returns {IRouterStoreProxy}
         */
        get: function () {
            return this.$routerStoreProxy = this.$routerStoreProxy || di_1.getRouterStoreProxyFactoryFactory()(this);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BasicContainer.prototype, "dictionaryStoreProxy", {
        /**
         * @stable [29.02.2020]
         * @returns {IDictionaryStoreProxy}
         */
        get: function () {
            return this.$dictionaryStoreProxy = this.$dictionaryStoreProxy || di_1.getDictionaryStoreProxyFactory()(this);
        },
        enumerable: true,
        configurable: true
    });
    return BasicContainer;
}(base_container_1.BaseContainer));
exports.BasicContainer = BasicContainer;
//# sourceMappingURL=basic.container.js.map