"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_component_1 = require("../base/base.component");
var Drawer = /** @class */ (function (_super) {
    __extends(Drawer, _super);
    function Drawer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [23.12.2019]
     * @returns {JSX.Element}
     */
    Drawer.prototype.render = function () {
        var props = this.props;
        var mini = props.mini;
        return (React.createElement("div", { className: util_1.joinClassName('rac-drawer', mini && 'rac-drawer-mini', util_1.calc(props.className)) }, props.children));
    };
    return Drawer;
}(base_component_1.BaseComponent));
exports.Drawer = Drawer;
//# sourceMappingURL=drawer.component.js.map