/// <reference types="react" />
import { IUiDefaultIconFactory } from './ui-default-icon-factory.interface';
export declare class UiDefaultIconFactory implements IUiDefaultIconFactory {
    private static readonly SUPPORTED_ICONS_MAPS;
    /**
     * @stable [25.01.2019]
     * @param {string} iconName
     * @returns {JSX.Element}
     */
    makeInstance(iconName: string): JSX.Element;
}
