"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var base_component_1 = require("../../base/base.component");
var FormLayout = /** @class */ (function (_super) {
    __extends(FormLayout, _super);
    function FormLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    FormLayout.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", { className: util_1.joinClassName(util_1.calc(props.className), 'rac-form-layout') },
            React.createElement("div", { className: 'rac-form-layout__content' },
                props.topTitle && (React.createElement("div", { className: 'rac-form-layout__top-header' }, this.t(props.topTitle))),
                props.children)));
    };
    return FormLayout;
}(base_component_1.BaseComponent));
exports.FormLayout = FormLayout;
//# sourceMappingURL=form-layout.component.js.map