"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var operation_1 = require("./operation");
/**
 * @stable [04.09.2019]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
exports.makeEntityOperation = function (uuid, entityId) {
    return operation_1.Operation.create(util_1.ifNotEmptyThanValue(entityId, function () { return uuid + "-" + entityId; }, uuid));
};
//# sourceMappingURL=operation.support.js.map