import { Middleware, ReducersMapObject, Store } from 'redux';
import { IStoreEntity } from '../definition';
/**
 * @stable [11.03.2020]
 * @param {ReducersMapObject} reducers
 * @param {Middleware[]} appMiddlewares
 * @returns {Promise<Store<IStoreEntity>>}
 */
export declare const makeStore: (reducers: ReducersMapObject, appMiddlewares?: Middleware[]) => Promise<Store<IStoreEntity<{}, {}>>>;
