"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var reducers_1 = require("../component/reducers");
var dictionary_1 = require("../dictionary");
var permissions_1 = require("../permissions");
var stack_1 = require("./stack");
var channel_1 = require("../channel");
var store_support_1 = require("../store/store.support");
var definition_1 = require("../definition");
var async_lib_1 = require("../async-lib");
// TODO refactoring
exports.defaultReducers = __assign({ asyncLibs: async_lib_1.asyncLibReducer, dictionaries: dictionary_1.dictionariesReducer, permissions: store_support_1.makeEntityReducer({
        select: permissions_1.PERMISSIONS_UPDATE_ACTION_TYPE,
        destroy: permissions_1.PERMISSIONS_DESTROY_ACTION_TYPE,
    }), user: store_support_1.makeEntityReducer(definition_1.$RAC_USER_REDUCER_FACTORY_CONFIG_ENTITY), layout: reducers_1.defaultLayoutReducer, stack: stack_1.stackReducer, notification: reducers_1.notificationReducer }, channel_1.channelsReducers);
//# sourceMappingURL=store.interface.js.map